[perlbrew] update to 0.39

Iain Arnell iarnell at fedoraproject.org
Thu Jan 5 09:43:22 UTC 2012


commit a9ac5f1cd841c1c35a2e6fe1390f8a0f7fcdfe50
Author: Iain Arnell <iarnell at gmail.com>
Date:   Thu Jan 5 10:43:10 2012 +0100

    update to 0.39

 .gitignore    |    1 +
 perlbrew.spec |   15 ++++++++++++---
 sources       |    2 +-
 3 files changed, 14 insertions(+), 4 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index aedb64c..9bbf83f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -13,3 +13,4 @@
 /App-perlbrew-0.29.tar.gz
 /App-perlbrew-0.32.tar.gz
 /App-perlbrew-0.33.tar.gz
+/App-perlbrew-0.39.tar.gz
diff --git a/perlbrew.spec b/perlbrew.spec
index 02df80c..889c290 100644
--- a/perlbrew.spec
+++ b/perlbrew.spec
@@ -1,5 +1,5 @@
 Name:           perlbrew
-Version:        0.33
+Version:        0.39
 Release:        1%{?dist}
 Summary:        Manage perl installations in your $HOME
 License:        MIT
@@ -8,6 +8,7 @@ URL:            http://search.cpan.org/dist/App-perlbrew/
 Source0:        http://www.cpan.org/authors/id/G/GU/GUGOD/App-perlbrew-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  perl >= 1:5.8.0
+BuildRequires:  perl(Capture::Tiny) >= 0.13
 BuildRequires:  perl(Cwd)
 BuildRequires:  perl(Data::Dumper)
 BuildRequires:  perl(Devel::PatchPerl) >= 0.46
@@ -16,7 +17,7 @@ BuildRequires:  perl(File::Copy)
 BuildRequires:  perl(File::Path::Tiny) >= 0.1
 BuildRequires:  perl(File::Temp)
 BuildRequires:  perl(IO::All)
-BuildRequires:  perl(local::lib)
+BuildRequires:  perl(local::lib) >= 1.008000
 BuildRequires:  perl(Path::Class)
 BuildRequires:  perl(Pod::Usage)
 BuildRequires:  perl(Test::Exception)
@@ -25,12 +26,13 @@ BuildRequires:  perl(Test::Output)
 BuildRequires:  perl(Test::Spec)
 BuildRequires:  perl(Try::Tiny)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+Requires:       perl(Capture::Tiny) >= 0.13
 Requires:       perl(Cwd)
 Requires:       perl(Data::Dumper)
 Requires:       perl(Devel::PatchPerl) >= 0.46
 Requires:       perl(ExtUtils::MakeMaker)
 Requires:       perl(File::Copy)
-Requires:       perl(local::lib)
+Requires:       perl(local::lib) >= 1.008000
 Requires:       perl(Pod::Usage)
 Requires:       curl
 
@@ -50,6 +52,10 @@ almost like an isolated perl environments.
 %prep
 %setup -q -n App-perlbrew-%{version}
 
+# test fails in mock
+# see https://rt.cpan.org/Public/Bug/Display.html?id=72274
+rm t/command-help.t
+
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}
@@ -73,6 +79,9 @@ make test
 %{_mandir}/man3/*
 
 %changelog
+* Thu Jan 05 2012 Iain Arnell <iarnell at gmail.com> 0.39-1
+- update to latest upstream version
+
 * Mon Nov 14 2011 Iain Arnell <iarnell at gmail.com> 0.33-1
 - update to latest upstream version
 
diff --git a/sources b/sources
index d99bc63..572c437 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-3efc9e895843427edd2062f999c9cc7b  App-perlbrew-0.33.tar.gz
+dbdf5b336e58ff45648b5a7175ad5016  App-perlbrew-0.39.tar.gz


More information about the perl-devel mailing list